## isc-dhcp 4.2.4

=== bind/Makefile ===
#
# Copyright (C) 2009-2012 by Internet Systems Consortium, Inc. ("ISC")
#
# Permission to use, copy, modify, and/or distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND ISC DISCLAIMS ALL WARRANTIES WITH
# REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
# AND FITNESS.  IN NO EVENT SHALL ISC BE LIABLE FOR ANY SPECIAL, DIRECT,
# INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
# LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE
# OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
# PERFORMANCE OF THIS SOFTWARE.

# $Id: Makefile.bind,v 1.2.2.8 2012-04-05 22:17:08 sar Exp $

# Configure and build the bind libraries for use by DHCP

include ./version.tmp
version=${MAJORVER}.${MINORVER}.${PATCHVER}${RELEASETYPE}${RELEASEVER}

# bindvar.tmp is constructed by configure, it has the paths for
# if GMAKE is blank the shell script couldn't find a gmake to use.
# binddir=
# GMAKE=
include ./bindvar.tmp

bindsrcdir=bind-${version}

all:
# Extract the source from the tarball, if it hasn't been already.
	@if test -d ${bindsrcdir} ; then                    \
		echo ${bindsrcdir} already unpacked... ;    \
	else                                                \
		gunzip -c bind.tar.gz | tar xf - ;          \
	fi

	@if test -z "${GMAKE}"; then                        \
		echo "unable to find gmake" 1>&2 ;          \
		exit 1;                                     \
	fi

# Configure the export libraries
# Currently disable the epoll and devpoll options as they don't interact
# well with the DHCP code.
# If the top-level Bind Makefile exists we skip the configuration step
# as we assume it's done and won't change.  Doing a make clean will
# reset things if necessary.
	@if test -f ${bindsrcdir}/Makefile ; then                  \
		echo Bind export libraries already configured ;    \
	else                                                       \
		echo Configuring BIND Export libraries for DHCP. ; \
		rm -rf ./lib ./include ./configure.log ./build.log ./install.log ; \
		(cd ${bindsrcdir} && ./configure --disable-kqueue --disable-epoll --disable-devpoll --without-openssl --without-libxml2 --enable-exportlib --enable-threads=no --with-export-includedir=${binddir}/include --with-export-libdir=${binddir}/lib --with-gssapi=no > ${binddir}/configure.log); \
	fi

# Build and install the export libraries
# No need to do anything if we already have something installed.
	@if test -d ${binddir}/lib ; then                                    \
		echo Bind export libraries already installed ;               \
	else                                                                 \
		echo Building BIND Export libraries - this takes some time. ;\
		(cd ${bindsrcdir}/lib/export ;                               \
		  echo building in `pwd` ;                                   \
		  MAKE=${GMAKE} ${GMAKE} > ${binddir}/build.log) ;           \
                                                                             \
		echo Installing BIND Export libraries to ${binddir}. ;       \
		(cd ${bindsrcdir}/lib/export ;                               \
		  MAKE=${GMAKE} ${GMAKE} install > ${binddir}/install.log) ; \
	fi

clean:
	@echo Cleaning BIND export library.
	rm -rf ${bindsrcdir} ./lib ./include ./configure.log ./build.log \
		./install.log

# Include the following so that this Makefile is happy when the parent
# tries to use them.

distdir:

distclean:

install:

check:

uninstall:

## isc-dhcp 4.2.2.dfsg.1

=== debian/changelog ===
isc-dhcp (4.2.2.dfsg.1-5+deb70u9) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy LTS Team.
  * Corrected refcnt loss in option parsing (CVE-2018-5733)
  * Correct buffer overrun in pretty_print_option (CVE-2018-5732)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 21 Mar 2018 19:20:38 +0100

isc-dhcp (4.2.2.dfsg.1-5+deb70u8) wheezy-security; urgency=high

  * Fix CVE-2015-8605: maliciously crafted IPv4 packet can cause any of the
    running DHCP applications (server, client, or relay) to crash.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 09 Jan 2016 21:30:13 +0000

isc-dhcp (4.2.2.dfsg.1-5+deb70u7) wheezy; urgency=low

  [ Michael Gilbert ]
  * Fix error when max lease time is used on 64-bit systems (closes: #795227).

 -- Bastian Blank <bastian.blank@credativ.de>  Thu, 08 Oct 2015 11:55:47 +0000

isc-dhcp (4.2.2.dfsg.1-5+deb70u6) stable-proposed-updates; urgency=medium

  * Set --with-ldapcrypto to restore openssl support (closes: #692808).

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 27 May 2013 20:54:36 +0000

isc-dhcp (4.2.2.dfsg.1-5+deb70u5) testing-proposed-updates; urgency=medium

  * Use patch instead of quilt for embedded bind patches.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 12 Apr 2013 02:06:54 +0000

isc-dhcp (4.2.2.dfsg.1-5+deb70u4) testing-proposed-updates; urgency=high

  * Fix cve-2013-2494: issues with regular expression handling in the embedded
    bind library (closes: #704426).

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 01 Apr 2013 00:41:48 +0000

isc-dhcp (4.2.2.dfsg.1-5+deb70u3) testing-proposed-updates; urgency=medium

  * Run exit hooks when "dhclient -1" fails (closes: #486520).
  * Add dhcp6.name-servers and dhcp6.domain-search to the default request
    options in dhclient.conf (closes: #693315).
  * Handle dhclient.conf left behind during a prior lenny->squeeze upgrade,
    upgrade it now to avoid an unnecessary conffile prompt (closes: #698582).
    - Thanks to Gregor Herrmann for the patch.
  * Also, do not copy dhclient.conf from /etc/dhcp3 anymore (closes: #700363).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 16 Feb 2013 20:40:46 +0000

isc-dhcp (4.2.2.dfsg.1-5+deb70u2) testing-proposed-updates; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix CVE-2012-2248: dhclient sets a PATH that is influenced by the
    location of the build directory.

 -- Raphael Geissert <geissert@debian.org>  Sun, 14 Oct 2012 15:48:19 -0500

isc-dhcp (4.2.2.dfsg.1-5+deb70u1) testing-proposed-updates; urgency=high

  * Correct multiple security issues (closes: #686174)
    - cve-2012-3570: buffer overflow via large hardware address lengths.
    - cve-2012-3571: denial-of-service via zero-length packets.
    - cve-2012-3954: two potential memory leaks.
    - cve-2012-3955: server abort due to certain lease time changes.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 14 Sep 2012 00:26:44 -0400

isc-dhcp (4.2.2.dfsg.1-5) unstable; urgency=medium

  [ Andrew Pollock ]
  * debian/dhclient.conf: send the hostname (closes: #151820) 

  [ Michael Gilbert ]
  * Fix cve-2011-4868: error in DDNS handling with IPv6 (closes: #655746)
  * Fix cve-2011-4539: error in regular expression handling
    (closes: #652259)
  * Make dependencies diff-able
  * Add myself to uploaders
  * Remove all automatically generated files in clean rule
  * Medium urgency for security updates

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 28 Apr 2012 16:00:49 -0400

isc-dhcp (4.2.2.dfsg.1-4) unstable; urgency=low

  * The "Zoe woke up at 4am and I couldn't get back to sleep so I had some
    extra time to work on this" release
  * patch the Makefile for the embedded BIND libraries so that autoconf is run
    so that the modification to configure.in to fix the FTBFS on kFreeBSD
    actually does something useful (closes: #643569)

 -- Andrew Pollock <apollock@debian.org>  Wed, 14 Mar 2012 06:25:28 -0700

isc-dhcp (4.2.2.dfsg.1-3) unstable; urgency=low

  * debian/control: remove transitional packages
  * debian/rules: apply the intent of Pierre Chifflier's patch to enable
    hardening options (closes: #644413)
  * debian/control: also add inetutils-ping to the dependencies for
    isc-dhcp-client on hurd (closes: #648140)
  * Convert to 3.0 (quilt) source format:
    - debian/control: remove build-dep on dpatch
    - debian/rules: stop including dpatch.make
    - debian/rules: remove dpatch-related target dependencies
    - convert patches from dpatch to pure quilt
    - remove debian/README.source
  * debian/rules: cleaned up the target names a bit to reflect the lack of
    patching going on now
  * repack bind.tar.gz in upstream source tarball to patch configure.in for
    FTBFS on kFreeBSD and remove RFCs (closes: #643569, #645760)
  * debian/watch: add dversionmangle to deal with dfsg upstream tarball
  * Updated Dutch debconf template translation (closes: #651396)
  * Added Polish debconf template translation (closes: #659372)
  * Updated Brazilian Portugeuse debconf template translation (closes: #663494)
  * debian/control: bumped Standards-Version (no changes)

 -- Andrew Pollock <apollock@debian.org>  Tue, 13 Mar 2012 22:04:53 -0700

isc-dhcp (4.2.2-2) unstable; urgency=low

  * debian/rules: use dpkg-buildflags to set CFLAGS, and export CFLAGS (closes:
    #643470)
  * debian/dhclient.conf: revert hostname setting behaviour to something
    equivalent to what upstream ships to avoid surprising people with unwanted
    hostname changes when changing networks (closes: #648676)
  * debian/dhclient-script.kfreebsd: apply patch from Robert Millan to resync
    dhclient-script with FreeBSD version (closes: #645502)
  * debian/control: add inetutils-ping to the dependencies for isc-dhcp-client
    on kfreebsd (closes: #648140)
  * Updated German debconf template translation (closes: #641843)
  * added harding-wrapper to build dependencies and invoke it in debian/rules
    (closes: #611192)



=== debian/control ===
Source: isc-dhcp
Section: net
Priority: important
Maintainer: Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>
Uploaders:
 Andrew Pollock <apollock@debian.org>,
 Michael Gilbert <mgilbert@debian.org>,
Vcs-Git: git://git.debian.org/pkg-dhcp/isc-dhcp.git
Vcs-Browser: http://git.debian.org/?p=pkg-dhcp/isc-dhcp.git;a=summary
Build-Depends:
 debhelper (>> 7),
 dpkg-dev (>= 1.13.2),
 groff,
 autoconf,
 automake,
 pkg-config,
 po-debconf,
 libssl-dev,
 libldap2-dev,
 hardening-wrapper,
Standards-Version: 3.9.3

Package: isc-dhcp-server
Priority: optional
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 debianutils (>= 2.8.2),
 isc-dhcp-common (= ${binary:Version}),
 lsb-base,
Provides: dhcp3-server
Conflicts: dhcp
Replaces: dhcp3-server
Suggests: isc-dhcp-server-ldap
Description: ISC DHCP server for automatic IP address assignment
 This is the server from the Internet Software Consortium's implementation of
 DHCP. For more information, visit http://www.isc.org.
 .
 Dynamic Host Configuration Protocol (DHCP) is a protocol like BOOTP
 (actually dhcpd includes much of the functionality of bootpd). It
 gives client machines "leases" for IP addresses and can
 automatically set their network configuration.
 .
 This server can handle multiple ethernet interfaces.

Package: isc-dhcp-server-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 debianutils (>= 2.8.2),
 isc-dhcp-common (= ${binary:Version}),
 lsb-base,
Conflicts: dhcp
Suggests: isc-dhcp-server-ldap
Description: ISC DHCP server for automatic IP address assignment (debug)
 This is the server from the Internet Software Consortium's implementation of
 DHCP. For more information, visit http://www.isc.org.
 .
 This package contains the debugging symbols for isc-dhcp-server
 .
 Dynamic Host Configuration Protocol (DHCP) is a protocol like BOOTP
 (actually dhcpd includes much of the functionality of bootpd). It
 gives client machines "leases" for IP addresses and can
 automatically set their network configuration.
 .
 This server can handle multiple ethernet interfaces.

Package: isc-dhcp-server-ldap
Priority: optional
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 debianutils (>= 2.8.2),
 isc-dhcp-common (= ${binary:Version}),
 isc-dhcp-server (= ${binary:Version}),
Provides: dhcp3-server-ldap
Conflicts: dhcp
Replaces: dhcp3-server-ldap
Enhances: isc-dhcp-server
Description: DHCP server able to use LDAP as backend
 This is the server from the Internet Software Consortium's implementation of
 DHCP. For more information, visit http://www.isc.org.
 .
 Dynamic Host Configuration Protocol (DHCP) is a protocol like BOOTP
 (actually dhcpd includes much of the functionality of bootpd). It
 gives client machines "leases" for IP addresses and can
 automatically set their network configuration.
 .
 This is the DHCP server with LDAP patches applied to it.

Package: isc-dhcp-common
Architecture: any
Section: net
Provides: dhcp3-common
Replaces: dhcp3-common
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 debianutils (>= 2.8.2),
Description: common files used by all the isc-dhcp* packages
 This package contains the files used by all the packages from ISC
 DHCP.

Package: isc-dhcp-dev
Priority: optional
Architecture: any
Section: devel
Provides: dhcp3-dev
Replaces: dhcp3-dev
Depends:
 ${misc:Depends},
 libc6-dev,
Description: API for accessing and modifying the DHCP server and client state
 OMAPI is an API for accessing and modifying the DHCP server and
 client state.

Package: isc-dhcp-client
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 debianutils (>= 2.8.2),
 isc-dhcp-common (= ${binary:Version}),
 iproute [linux-any],
 inetutils-ping [!linux-any],
Suggests:
 resolvconf,
 avahi-autoipd
Provides:
 dhcp-client,
 dhcp3-client
Conflicts:
 dhcp-client (<< 3.0),
 samba-common (<< 3.0.0beta1-2),
 resolvconf (<= 1.45),
 ifupdown (<< 0.6.8+nmu3)
Replaces: dhcp3-client
Description: ISC DHCP client
 This is the client from the Internet Software Consortium's implementation of
 DHCP. For more information visit http://www.isc.org.
 .
 Dynamic Host Configuration Protocol (DHCP) is a protocol like BOOTP
 (actually dhcpd includes much of the functionality of bootpd). It
 gives client machines "leases" for IP addresses and can
 automatically set their network configuration. If your machine
 depends on DHCP (especially likely if it's a workstation on a large
 network, or a laptop, or attached to a cable modem), keep this or
 another DHCP client installed.
 .
 Extra documentation can be found in the package isc-dhcp-common.

Package: isc-dhcp-client-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 debianutils (>= 2.8.2),
 isc-dhcp-common (= ${binary:Version}),
Suggests:
 resolvconf,
 avahi-autoipd
Conflicts:
 dhcp-client (<< 3.0),
 samba-common (<< 3.0.0beta1-2)
Description: ISC DHCP client (debugging symbols)
 This is the client from the Internet Software Consortium's implementation of
 DHCP. For more information visit http://www.isc.org.
 .
 This package contains the debugging symbols for isc-dhcp-client
 .
 Dynamic Host Configuration Protocol (DHCP) is a protocol like BOOTP
 (actually dhcpd includes much of the functionality of bootpd). It
 gives client machines "leases" for IP addresses and can
 automatically set their network configuration. If your machine
 depends on DHCP (especially likely if it's a workstation on a large
 network, or a laptop, or attached to a cable modem), keep this or
 another DHCP client installed.
 .
 Extra documentation can be found in the package isc-dhcp-common.

Package: isc-dhcp-client-udeb
Priority: extra
Architecture: any
Section: debian-installer
Depends:
 ${shlibs:Depends}
XC-Package-Type: udeb
Description: ISC DHCP Client for debian-installer
 dhcp-client-udeb is a minimal dhcp package used by the debian-installer.

Package: isc-dhcp-relay
Priority: optional
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 debianutils (>= 2.8.2),
 isc-dhcp-common (= ${binary:Version}),
Provides: dhcp3-relay
Conflicts: dhcp-relay
Replaces: dhcp3-relay
Description: ISC DHCP relay daemon
 This is the relay from the Internet Software Consortium's implementation of
 DHCP. For more information visit
 http://www.isc.org.
 .
 Installing this package will make the machine a DHCP relay, which
 requires a reachable DHCP or BOOTP server in order to function.
 .
 Extra documentation can be found in the package isc-dhcp-common.

Package: isc-dhcp-relay-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 debianutils (>= 2.8.2),
 isc-dhcp-common (= ${binary:Version}),
Conflicts: dhcp-relay
Description: DHCP relay daemon (debugging symbols)
 This is the relay from the Internet Software Consortium's implementation of
 DHCP. For more information visit
 http://www.isc.org.
 .
 This package contains the debugging symbols for isc-dhcp-relay
 .
 Installing this package will make the machine a DHCP relay, which
 requires a reachable DHCP or BOOTP server in order to function.
 .
 Extra documentation can be found in the package isc-dhcp-common.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the iad of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Also some stuff taken from debmake scripts, by Cristopt Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS=CC=$(DEB_HOST_GNU_TYPE)-gcc
else
CROSS=
endif

export DEB_BUILD_HARDENING=1
DPKG_EXPORT_BUILDFLAGS = 1

DESTDIR = `pwd`/debian/tmp

PACKAGE = isc-dhcp

-include /usr/share/dpkg/buildflags.mk

INSTALL = install
INSTALL_FILE 	= $(INSTALL) -p -o root -g root -m 644

CFLAGS += -Wall

CFLAGS += -D_PATH_DHCLIENT_SCRIPT='"/sbin/dhclient-script"'
CFLAGS += -D_PATH_DHCPD_CONF='"/etc/dhcp/dhcpd.conf"'
CFLAGS += -D_PATH_DHCLIENT_CONF='"/etc/dhcp/dhclient.conf"'
CFLAGS += -DNOMINUM


bind-stamp:
	dh_testdir
	cd bind && tar xf bind.tar.gz && cd bind-* && \
	    patch -p1 < ../../debian/bind-patches/cve-2013-2494.patch
	touch $@

build-ldap-stamp: bind-stamp
	dh_testdir

	./configure \
		--prefix=/usr \
		--sysconfdir=/etc/dhcp \
		--with-srv-lease-file=/var/lib/dhcp/dhcpd.leases \
		--with-srv6-lease-file=/var/lib/dhcp/dhcpd6.leases \
		--with-cli-lease-file=/var/lib/dhcp/dhclient.leases \
		--with-cli6-lease-file=/var/lib/dhcp/dhclient6.leases \
		--with-ldap \
		--with-ldapcrypto \
		
	$(MAKE) $(CROSS)

	mkdir -p isc-dhcp-server-ldap
	mv server/dhcpd isc-dhcp-server-ldap/
	
	touch $@
	
build: build-arch build-indep

build-arch: build-ldap-stamp build-non-ldap-stamp build-arch-stamp
build-indep:

build-arch-stamp:
	dh_testdir
	touch $@

build-non-ldap-stamp: bind-stamp
	dh_testdir

	./configure \
		--prefix=/usr \
		--sysconfdir=/etc/dhcp \
		--with-srv-lease-file=/var/lib/dhcp/dhcpd.leases \
		--with-srv6-lease-file=/var/lib/dhcp/dhcpd6.leases \
		--with-cli-lease-file=/var/lib/dhcp/dhclient.leases \
		--with-cli6-lease-file=/var/lib/dhcp/dhclient6.leases
	
	$(MAKE) $(CROSS)

	touch $@

clean:
	dh_testdir
	rm -f build*stamp install*stamp bind-stamp
	rm -Rf isc-dhcp-server-ldap

	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f Makefile client/Makefile config.log config.status
	cd bind && rm -rf bind-* include lib bindvar.tmp \
	    build.log configure.log install.log

	debconf-updatepo
	dh_clean

install: install-stamp
install-stamp: build-ldap-stamp build-non-ldap-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -A

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=$(DESTDIR)

	mkdir -p $(DESTDIR)/etc/dhcp

	# Install dhcp's conffile.
	$(INSTALL_FILE) -m 644 debian/dhcpd.conf $(DESTDIR)/etc/dhcp

	# Install dhcp-client's conffiles.
	$(INSTALL_FILE) -m 644 debian/dhclient.conf $(DESTDIR)/etc/dhcp

	# udeb needs simplified dhclient script
	$(INSTALL_FILE) -m 755 `pwd`/debian/dhclient-script.$(DEB_HOST_ARCH_OS).udeb \
		`pwd`/debian/isc-dhcp-client-udeb/sbin/dhclient-script

	# Weird, weird Japanese manpages in weird, weird locations
	# need to be special-cased...
	mkdir -p $(DESTDIR)/usr/share/man/ja/man5
	for f in dhclient.conf dhcp-eval dhclient.leases dhcp-options; do \
		cp doc/ja_JP.eucJP/$$f.5 \
			$(DESTDIR)/usr/share/man/ja/man5; \
	done

	mkdir -p $(DESTDIR)/usr/share/man/ja/man8
	for f in dhclient dhclient-script; do \
		cp doc/ja_JP.eucJP/$$f.8 \
			$(DESTDIR)/usr/share/man/ja/man8; \
	done

	cp debian/debug-hook debian/isc-dhcp-client/etc/dhcp/dhclient-enter-hooks.d/debug
	cp debian/debug-hook debian/isc-dhcp-client/etc/dhcp/dhclient-exit-hooks.d/debug

	dh_install
	dh_link

	cp debian/dhclient-script.$(DEB_HOST_ARCH_OS) `pwd`/debian/isc-dhcp-client/sbin/dhclient-script
	cp debian/rfc3442-classless-routes.$(DEB_HOST_ARCH_OS) \
		`pwd`/debian/isc-dhcp-client/etc/dhcp/dhclient-exit-hooks.d/rfc3442-classless-routes

	# Install Linux specific documentation
ifeq ($(DEB_HOST_ARCH_OS), linux)
	for p in isc-dhcp-client isc-dhcp-relay isc-dhcp-server ; do \
		install -d -m 755 `pwd`/debian/$p/usr/share/doc; \
		install -m 644 `pwd`/debian/dhcp-on-linux.txt `pwd`/debian/$p/usr/share/doc; \
	done
endif
	dh_lintian

	touch $@

# Build architecture-dependent files here (this package does not contain
#	architecture-independent files).
binary-arch: build-arch install
	dh_testdir
	dh_testroot 
	dh_installdebconf
	dh_installdocs -A debian/README.Debian -X doc/ja_JP.eucJP
	dh_installexamples -a
	dh_installinit -pisc-dhcp-server --error-handler=init_script_error_handler
	dh_installinit -a -Nisc-dhcp-server
	dh_installchangelogs
	dh_install -pisc-dhcp-server-ldap	
	dh_strip -pisc-dhcp-server-ldap 
	dh_strip -pisc-dhcp-server --dbg-package=isc-dhcp-server-dbg
	dh_strip -pisc-dhcp-relay --dbg-package=isc-dhcp-relay-dbg
	dh_strip -pisc-dhcp-client --dbg-package=isc-dhcp-client-dbg
	dh_strip -pisc-dhcp-common
	dh_strip -pisc-dhcp-client-udeb 
	dh_compress
	dh_fixperms -a
	dh_installdeb
	dh_shlibdeps -a
	dh_gencontrol
	dh_md5sums -a --no-package=isc-dhcp-client-udeb
	dh_builddeb

binary-indep: build-indep

binary: binary-arch binary-indep

.PHONY: build clean binary-indep binary-arch binary

## isc-dhcp 4.2.4

=== debian/changelog ===
isc-dhcp (4.2.4-7ubuntu12.13) trusty; urgency=medium

  * dhclient-script.linux: handle empty case also when waiting for ipv6 link
    local DAD. (LP: #1718568)

 -- Dan Streetman <dan.streetman@canonical.com>  Fri, 02 Mar 2018 13:17:36 -0500

isc-dhcp (4.2.4-7ubuntu12.12) trusty-security; urgency=medium

  * SECURITY UPDATE: DoS via concurrent TCP sessions
    - debian/patches/CVE-2016-2774.patch: limit number of connections in
      includes/site.h, omapip/listener.c.
    - CVE-2016-2774
  * SECURITY UPDATE: DoS via omapi
    - debian/patches/CVE-2018-573x.patch: fix socket descriptor leak in
      omapip/buffer.c, omapip/message.c.
    - CVE-2017-3144
  * SECURITY UPDATE: buffer overflow in dhclient
    - debian/patches/CVE-2018-573x.patch: check option data size in
      common/options.c.
    - CVE-2018-5732
  * SECURITY UPDATE: reference counter overflow in dhcpd
    - debian/patches/CVE-2018-573x.patch: avoid overflow in
      common/options.c.
    - CVE-2018-5733
  * This package does _not_ contain the changes from 4.2.4-7ubuntu12.11 in
    trusty-proposed.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 01 Mar 2018 08:45:46 -0500

isc-dhcp (4.2.4-7ubuntu12.10) trusty; urgency=medium

  * Introduction of a new binary package "isc-dhcp-client-noddns" (LP: #1176046)
    - isc-dhcp-client : no behavioural change from previous version.
    - isc-dhcp-client-noddns : dhclient with DDNS functionality disabled.

    The current functionality in Trusty is to provide DDNS to dhclient by
    default. Note that, this is the opposite in Xenial where dhclient,
    by default, offers no DDNS functionality.

  * Disable tracing and failover.

    The tracing and failover are stricly disabled for the new package
    "isc-dhcp-client-noddns" and doesn't apply to package "isc-dhcp-client".

    In order to successfully build "isc-dhcp-client-noddns" without
    -DNSUPDATE and stay align with upstream Debian git commit [0bbf7c7]
    (closes: #712503) which implies the following:

    - debian/rules : Disable support for failover
      (DHCP Failover is a mechanism whereby two DHCP servers are both configured
      to manage the same pool of addresses so that they can share the load of
      assigning leases for that pool, and provide back-up for each other in case
      of network outages.
      (Define to include Failover Protocol support)

    - debian/rules : Disable support for server activity tracing
      (Server tracing support)

  * CFLAGS configuration change
    - debian/rules : Add backslash '\' characters for CLAGS options :
      "-D_PATH_DHCLIENT_CONF" , "-D_PATH_DHCPD_CONF" , "-D_PATH_DHCLIENT_SCRIPT"
      to avoid compilation errors expression before '/' token is expected at
      compile time.
    - debian/rules : Remove "export CLAGS" line, since it is now passing during
      ./configure in order to control when compiling with or without DDNS
      functionality.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Wed, 24 May 2017 08:41:07 -0400

isc-dhcp (4.2.4-7ubuntu12.9) trusty; urgency=medium

  * [4b8251a] DHCPv6: fix socket handling so multiple DHCPv6 local clients will
    successfully get addresses (LP: #1689854)

 -- Dan Streetman <dan.streetman@canonical.com>  Wed, 10 May 2017 12:19:35 -0300

isc-dhcp (4.2.4-7ubuntu12.8) trusty; urgency=medium

  * ipv6: wait for duplicate address detection to finish (LP: #1633479).

 -- Scott Moser <smoser@ubuntu.com>  Mon, 31 Oct 2016 14:31:58 -0400

isc-dhcp (4.2.4-7ubuntu12.7) trusty; urgency=medium

  * Don't assume IPv6 prefix length of 64 (LP: #1609898).
    Pulled from debian commit c347ab8a43587164486ce1f104eedfd638594e59.

 -- Dan Streetman <dan.streetman@canonical.com>  Thu, 04 Aug 2016 13:07:23 -0400

isc-dhcp (4.2.4-7ubuntu12.6) trusty; urgency=medium

  * Fixed missing broadcast flag for Infiniband interfaces (LP: #1529815)
    - added:
      + d/p/dhcp-4.2.4-dhclient-options-changed.patch

 -- Rafael David Tinoco <rafael.tinoco@canonical.com>  Tue, 07 Jun 2016 15:29:50 +0200

isc-dhcp (4.2.4-7ubuntu12.5) trusty; urgency=medium

  * debian/apparmor-profile.dhclient: Add the attach_disconnected flag to prevent
    disconnected path denials (LP: #1568485).

 -- Jorge Niedbalski <jorge.niedbalski@canonical.com>  Fri, 15 Apr 2016 14:44:06 +0200

isc-dhcp (4.2.4-7ubuntu12.4) trusty-security; urgency=medium

  * SECURITY UPDATE: denial of service via incorrect UDP payload length
    - debian/patches/CVE-2015-8605.patch: properly check payload length in
      common/packet.c.
    - CVE-2015-8605

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 11 Jan 2016 07:56:50 -0500

isc-dhcp (4.2.4-7ubuntu12.3) trusty; urgency=medium

  * Replaced broken IB support with working one (LP: #1401141):
    - removed:
      + d/p/infiniband_lpf
      + d/p/infiniband_improved_xid
    - added:
      + d/p/dhcp-4.2.5-lpf-ib.patch
      + d/p/dhcp-4.2.4-improved-xid.patch
      + d/p/dhcp-4.2.2-gpxe-cid.patch
      + d/p/dhcp-4.2.4-improved-xid-correct-byte-order.patch

 -- Rafael David Tinoco (Inaddy) <inaddy@ubuntu.com>  Tue, 02 Jun 2015 14:26:37 +0100

isc-dhcp (4.2.4-7ubuntu12.2) trusty-proposed; urgency=medium

  * debian/patches/dhcp-getifaddrs.patch: use getifaddrs 
    for getting nic addresses rather than /proc/net (LP: #1446767)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 21 Apr 2015 18:10:40 +0000

isc-dhcp (4.2.4-7ubuntu12.1) trusty-proposed; urgency=medium

  * debian/apparmor-profile.dhclient: add 'network inet dgram' and
    'network inet6 dgram' to nm-dhcp-helper and dhclient-script for HWE
    kernels (LP: #1417658)

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 30 Mar 2015 12:24:24 -0500

isc-dhcp (4.2.4-7ubuntu12) trusty; urgency=medium

  * apparmor-profile.dhclient: add read for /var/lib/NetworkManager/*lease

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 07 Apr 2014 08:38:02 -0500

isc-dhcp (4.2.4-7ubuntu11) trusty; urgency=medium

  * Fix broken shell syntax...



=== debian/control ===
--- 
+++ 
@@ -1,23 +1,27 @@
 Source: isc-dhcp
 Section: net
 Priority: important
-Maintainer: Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>
-Uploaders:
- Andrew Pollock <apollock@debian.org>,
- Michael Gilbert <mgilbert@debian.org>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>
+Uploaders: Andrew Pollock <apollock@debian.org>, Michael Gilbert <mgilbert@debian.org>
 Vcs-Git: git://git.debian.org/pkg-dhcp/isc-dhcp.git
 Vcs-Browser: http://git.debian.org/?p=pkg-dhcp/isc-dhcp.git;a=summary
 Build-Depends:
- debhelper (>> 7),
+ debhelper (>= 7.4.20ubuntu6),
  dpkg-dev (>= 1.13.2),
  groff,
+ quilt,
  autoconf,
  automake,
+ autotools-dev,
  pkg-config,
  po-debconf,
  libssl-dev,
  libldap2-dev,
  hardening-wrapper,
+ libcap-dev,
+ dh-apport,
+ dh-apparmor
 Standards-Version: 3.9.3
 
 Package: isc-dhcp-server
@@ -29,10 +33,11 @@
  debianutils (>= 2.8.2),
  isc-dhcp-common (= ${binary:Version}),
  lsb-base,
+ adduser
 Provides: dhcp3-server
 Conflicts: dhcp
 Replaces: dhcp3-server
-Suggests: isc-dhcp-server-ldap
+Suggests: isc-dhcp-server-ldap, apparmor
 Description: ISC DHCP server for automatic IP address assignment
  This is the server from the Internet Software Consortium's implementation of
  DHCP. For more information, visit http://www.isc.org.
@@ -126,11 +131,12 @@
  ${shlibs:Depends},
  debianutils (>= 2.8.2),
  isc-dhcp-common (= ${binary:Version}),
- iproute [linux-any],
+ iproute2 [linux-any],
  inetutils-ping [!linux-any],
 Suggests:
  resolvconf,
- avahi-autoipd
+ avahi-autoipd,
+ apparmor
 Provides:
  dhcp-client,
  dhcp3-client
@@ -154,6 +160,27 @@
  .
  Extra documentation can be found in the package isc-dhcp-common.
 
+Package: isc-dhcp-client-noddns
+Priority: optional
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ isc-dhcp-client (= ${binary:Version}),
+Enhances: isc-dhcp-client
+Description: Dynamic DNS (DDNS) disabled DHCP client
+ This a Dynamic DNS disabled version of the DHCP client.
+ .
+ Dynamic Host Configuration Protocol (DHCP) is a protocol like BOOTP
+ (actually dhcpd includes much of the functionality of bootpd). It
+ gives client machines "leases" for IP addresses and can
+ automatically set their network configuration. If your machine
+ depends on DHCP (especially likely if it's a workstation on a large
+ network, or a laptop, or attached to a cable modem), keep this or
+ another DHCP client installed.
+ .
+ Extra documentation can be found in the package isc-dhcp-common.
+
 Package: isc-dhcp-client-dbg
 Section: debug
 Priority: extra

=== debian/rules ===
--- 
+++ 
@@ -30,22 +30,28 @@
 
 CFLAGS += -Wall
 
-CFLAGS += -D_PATH_DHCLIENT_SCRIPT='"/sbin/dhclient-script"'
-CFLAGS += -D_PATH_DHCPD_CONF='"/etc/dhcp/dhcpd.conf"'
-CFLAGS += -D_PATH_DHCLIENT_CONF='"/etc/dhcp/dhclient.conf"'
+CFLAGS += -D_PATH_DHCLIENT_SCRIPT='\"/sbin/dhclient-script\"'
+CFLAGS += -D_PATH_DHCPD_CONF='\"/etc/dhcp/dhcpd.conf\"'
+CFLAGS += -D_PATH_DHCLIENT_CONF='\"/etc/dhcp/dhclient.conf\"'
 CFLAGS += -DNOMINUM
+CFLAGS += -Wno-error=unused-but-set-variable
 
 
 bind-stamp:
 	dh_testdir
 	cd bind && tar xf bind.tar.gz && cd bind-* && \
-	    patch -p1 < ../../debian/bind-patches/cve-2013-2494.patch
+	    QUILT_PATCHES=../../debian/bind-patches quilt push -a
+	cd bind/bind-* && \
+	for f in $$(find -name config.guess); do \
+	  cp /usr/share/misc/config.* $$(dirname $$f)/.; \
+	done
 	touch $@
 
 build-ldap-stamp: bind-stamp
 	dh_testdir
 
-	./configure \
+	test ! -f Makefile || $(MAKE) distclean
+	./configure CFLAGS="$(CFLAGS) -DNSUPDATE" \
 		--prefix=/usr \
 		--sysconfdir=/etc/dhcp \
 		--with-srv-lease-file=/var/lib/dhcp/dhcpd.leases \
@@ -54,7 +60,7 @@
 		--with-cli6-lease-file=/var/lib/dhcp/dhclient6.leases \
 		--with-ldap \
 		--with-ldapcrypto \
-		
+		--enable-paranoia
 	$(MAKE) $(CROSS)
 
 	mkdir -p isc-dhcp-server-ldap
@@ -64,7 +70,7 @@
 	
 build: build-arch build-indep
 
-build-arch: build-ldap-stamp build-non-ldap-stamp build-arch-stamp
+build-arch: build-non-ddns-stamp build-ldap-stamp build-non-ldap-stamp build-arch-stamp
 build-indep:
 
 build-arch-stamp:
@@ -74,22 +80,45 @@
 build-non-ldap-stamp: bind-stamp
 	dh_testdir
 
-	./configure \
+	test ! -f Makefile || $(MAKE) distclean
+	./configure CFLAGS="$(CFLAGS) -DNSUPDATE" \
 		--prefix=/usr \
 		--sysconfdir=/etc/dhcp \
 		--with-srv-lease-file=/var/lib/dhcp/dhcpd.leases \
 		--with-srv6-lease-file=/var/lib/dhcp/dhcpd6.leases \
 		--with-cli-lease-file=/var/lib/dhcp/dhclient.leases \
-		--with-cli6-lease-file=/var/lib/dhcp/dhclient6.leases
-	
+		--with-cli6-lease-file=/var/lib/dhcp/dhclient6.leases \
+		--enable-paranoia
 	$(MAKE) $(CROSS)
 
 	touch $@
 
+# ddns-disabled build
+build-non-ddns-stamp: bind-stamp
+	dh_testdir
+
+	test -f Makefile && $(MAKE) distclean || true
+	./configure CFLAGS="$(CFLAGS)" \
+		--disable-failover \
+		--disable-tracing \
+		--prefix=/usr \
+		--sysconfdir=/etc/dhcp \
+                --with-srv-lease-file=/var/lib/dhcp/dhcpd.leases \
+                --with-srv6-lease-file=/var/lib/dhcp/dhcpd6.leases \
+                --with-cli-lease-file=/var/lib/dhcp/dhclient.leases \
+                --with-cli6-lease-file=/var/lib/dhcp/dhclient6.leases \
+                --enable-paranoia
+	$(MAKE) $(CROSS)
+
+	mkdir -p isc-dhcp-client-noddns
+	mv client/dhclient isc-dhcp-client-noddns/
+
+	touch $@
+
 clean:
 	dh_testdir
 	rm -f build*stamp install*stamp bind-stamp
-	rm -Rf isc-dhcp-server-ldap
+	rm -rf isc-dhcp-server-ldap
 
 	[ ! -f Makefile ] || $(MAKE) distclean
 	rm -f Makefile client/Makefile config.log config.status
@@ -100,7 +129,7 @@
 	dh_clean
 
 install: install-stamp
-install-stamp: build-ldap-stamp build-non-ldap-stamp
+install-stamp: build-non-ddns-stamp build-ldap-stamp build-non-ldap-stamp
 	dh_testdir
 	dh_testroot
 	dh_prep
@@ -110,6 +139,12 @@
 	$(MAKE) install DESTDIR=$(DESTDIR)
 
 	mkdir -p $(DESTDIR)/etc/dhcp
+
+	# Install apparmor profile
+	mkdir -p $(DESTDIR)/etc/apparmor.d
+	mkdir -p $(DESTDIR)/etc/apparmor.d/dhcpd.d
+	$(INSTALL_FILE) debian/apparmor-profile.dhcpd $(DESTDIR)/etc/apparmor.d/usr.sbin.dhcpd
+	$(INSTALL_FILE) debian/apparmor-profile.dhclient $(DESTDIR)/etc/apparmor.d/sbin.dhclient
 
 	# Install dhcp's conffile.
 	$(INSTALL_FILE) -m 644 debian/dhcpd.conf $(DESTDIR)/etc/dhcp
@@ -164,10 +199,15 @@
 	dh_installdebconf
 	dh_installdocs -A debian/README.Debian -X doc/ja_JP.eucJP
 	dh_installexamples -a
-	dh_installinit -pisc-dhcp-server --error-handler=init_script_error_handler
-	dh_installinit -a -Nisc-dhcp-server
+	dh_installinit -pisc-dhcp-server --name isc-dhcp-server
+	dh_installinit -pisc-dhcp-server --name isc-dhcp-server6
+	dh_installinit -pisc-dhcp-relay --name isc-dhcp-relay
+	dh_installinit -pisc-dhcp-relay --name isc-dhcp-relay6
 	dh_installchangelogs
 	dh_install -pisc-dhcp-server-ldap	
+	dh_apparmor -pisc-dhcp-client --profile-name=sbin.dhclient
+	dh_apparmor -pisc-dhcp-server --profile-name=usr.sbin.dhcpd
+	dh_apport -a
 	dh_strip -pisc-dhcp-server-ldap 
 	dh_strip -pisc-dhcp-server --dbg-package=isc-dhcp-server-dbg
 	dh_strip -pisc-dhcp-relay --dbg-package=isc-dhcp-relay-dbg

=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg\.\d+// \
ftp://ftp.isc.org/isc/dhcp/dhcp-(.*)\.tar\.gz debian uupdate
